% adism.sty
% --- Class structure: identification part
% ---
\ProvidesClass{adism}[2012/07/23 version 1.00 adism document style]
\NeedsTeXFormat{LaTeX2e}

% --- Class structure: declaration of options part
% ---
\LoadClass{article}

% --- Page layout
\RequirePackage{fullpage}
\RequirePackage{helvet}
\RequirePackage{fancyvrb}
\RequirePackage{wrapfig}
\RequirePackage{parskip}
\RequirePackage{url}
\RequirePackage{amsmath}
\RequirePackage{natbib}
\RequirePackage{etoolbox}
\bibliographystyle{abbrvnat}
\renewcommand{\familydefault}{\sfdefault}
\apptocmd\normalsize{%
 \abovedisplayskip=12pt plus 3pt minus 9pt
 \abovedisplayshortskip=0pt plus 3pt
 \belowdisplayskip=12pt plus 3pt minus 9pt
 \belowdisplayshortskip=9pt plus 3pt minus 4pt
}{}{}%
% New environments
%
\newenvironment{CentreNote}[1]{\begin{center}\begin{minipage}[t]{0.8\textwidth}%
\hrulefill \footnotesize

\begin{center}{\bf #1}\end{center}

} {

\hrulefill\end{minipage}\end{center}}
%
%
\newenvironment{SideNote}[2]{\begin{minipage}{#2}%
\hrulefill \footnotesize

\begin{center}{\bf #1}\end{center}

} {

\hrulefill\end{minipage}}

\newcommand{\code}[1]{

\fbox{\begin{minipage}{0.9\textwidth}{\bf #1}\end{minipage}}
\begin{VerbatimInput}[numbers=left]%
{#1}\end{VerbatimInput}}

\newcommand{\codeExtract}[3]{

\fbox{\begin{minipage}{0.9\textwidth}{\bf #1}\end{minipage}}
\begin{VerbatimInput}[numbers=left,firstline=#2,lastline=#3]%
{#1}\end{VerbatimInput}}
