#!/bin/bash

# Delete if already existing
if [ -d "UMFPACK2.2" ]
then
   rm -rf UMFPACK2.2
fi
if [ -d "BLAS" ]
then
   rm -rf BLAS
fi

# Get BLAS
curl http://www.netlib.org/blas/blas.tgz -o blas.tgz
tar xzvf blas.tgz
rm -f blas.tgz

# Make blas
pushd BLAS
make
popd

# Get UMFPACK
curl http://www.netlib.org/linalg/umfpack2.2.tgz -o umfpack2.2.tgz
tar xzvf umfpack2.2.tgz
rm -f umfpack2.2.tgz

# Patch makefile
pushd UMFPACK2.2
patch -o Makefile.new Makefile ../patches/UMFPACK.patch

# Delete Harwell code
sed -i.bak -e '170,356d' umc2fb.f
sed -i.bak -e '170,356d' umd2fb.f
sed -i.bak -e '170,356d' ums2fb.f
sed -i.bak -e '170,356d' umz2fb.f

# Build UMFPACK
make -f Makefile.new
popd
